MODULE obc_par
   !!======================================================================
   !!                      ***  MODULE obc_par   ***
   !! Unstructured Open Boundary Cond. :   define related parameters
   !!======================================================================
   !! History :  1.0  !  2005-01  (J. Chanut, A. Sellar)  Original code
   !!            3.0  !  2008-04  (NEMO team)  add in the reference version
   !!            3.3  !  2010-09  (D. Storkey and E. O'Dea) update for Shelf configurations
   !!----------------------------------------------------------------------
#if defined   key_obc
   !!----------------------------------------------------------------------
   !!   'key_obc' :                    Unstructured Open Boundary Condition
   !!----------------------------------------------------------------------

   IMPLICIT NONE
   PUBLIC

   LOGICAL, PUBLIC, PARAMETER ::   lk_obc  = .TRUE.   !: Unstructured Ocean Boundary Condition flag
   INTEGER, PUBLIC, PARAMETER ::   jp_obc  = 10       !: Maximum number of obc sets
   INTEGER, PUBLIC, PARAMETER ::   jpbtime = 1000     !: Max number of time dumps per file
   INTEGER, PUBLIC, PARAMETER ::   jpbgrd  = 3	      !: Number of horizontal grid types used  (T, U, V)

   !! Flags for choice of schemes
   INTEGER, PUBLIC, PARAMETER ::   jp_none         = 0        !: Flag for no open boundary condition
   INTEGER, PUBLIC, PARAMETER ::   jp_frs          = 1        !: Flag for Flow Relaxation Scheme
   INTEGER, PUBLIC, PARAMETER ::   jp_flather      = 2        !: Flag for Flather
#else
   !!----------------------------------------------------------------------
   !!   Default option :            NO Unstructured open boundary condition
   !!----------------------------------------------------------------------
   LOGICAL, PUBLIC, PARAMETER ::   lk_obc = .FALSE.   !: Unstructured Ocean Boundary Condition flag
#endif

   !!----------------------------------------------------------------------
   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
   !! $Id$ 
   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
   !!======================================================================
END MODULE obc_par
